Organizations

Get personal address domains

Returns this organization's verified active receiving domains and a default domain.

GET
/v1/organizations/personal-mailboxes/address-options

Returns this organization's verified active receiving domains and a default domain. When none are available, returns the organization's hosted mail domain. Only organization owners and admins may read these options.

Authorization

apiKey
headerx-api-key<token>

Response Body

Success

application/json
  1. response
domains*array<string>
defaultDomain*string
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.organizations.getPersonalMailboxAddressOptions({});
Example Response
{  "domains": [    "string"  ],  "defaultDomain": "string"}

Related documentation